DoubleMetaphone.DoubleMetaphoneResult (Encode/Decode Utilities (Version 1.10))
Date: 2019-08-31

org.apache.commons.codec.language

## Class DoubleMetaphone.DoubleMetaphoneResult

- java.lang.Object
- - org.apache.commons.codec.language.DoubleMetaphone.DoubleMetaphoneResult

- Enclosing class:
    DoubleMetaphone

      public class DoubleMetaphone.DoubleMetaphoneResult
      extends java.lang.Object

  Inner class for storing results, since there is the optional alternate encoding.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.StringBuilder` | `alternate`
    `private int` | `maxLength`
    `private java.lang.StringBuilder` | `primary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleMetaphoneResult(int maxLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(char value)`
    `void` | `append(char primary, char alternate)`
    `void` | `append(java.lang.String value)`
    `void` | `append(java.lang.String primary, java.lang.String alternate)`
    `void` | `appendAlternate(char value)`
    `void` | `appendAlternate(java.lang.String value)`
    `void` | `appendPrimary(char value)`
    `void` | `appendPrimary(java.lang.String value)`
    `java.lang.String` | `getAlternate()`
    `java.lang.String` | `getPrimary()`
    `boolean` | `isComplete()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### primary

          private final java.lang.StringBuilder primary

    - #### alternate

          private final java.lang.StringBuilder alternate

    - #### maxLength

          private final int maxLength

  - ### Constructor Detail

    - #### DoubleMetaphoneResult

          public DoubleMetaphoneResult(int maxLength)

  - ### Method Detail

    - #### append

          public void append(char value)

    - #### append

          public void append(char primary,
                             char alternate)

    - #### appendPrimary

          public void appendPrimary(char value)

    - #### appendAlternate

          public void appendAlternate(char value)

    - #### append

          public void append(java.lang.String value)

    - #### append

          public void append(java.lang.String primary,
                             java.lang.String alternate)

    - #### appendPrimary

          public void appendPrimary(java.lang.String value)

    - #### appendAlternate

          public void appendAlternate(java.lang.String value)

    - #### getPrimary

          public java.lang.String getPrimary()

    - #### getAlternate

          public java.lang.String getAlternate()

    - #### isComplete

          public boolean isComplete()

commons-codec version 1.10 - Copyright © 2002-2019 - Apache Software Foundation